UniversalDataAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.UniversalDataAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface UniversalDataAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface UniversalDataAgentConfiguration

extends AgentConfiguration

Configuration for a UniversalDataSensor

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getFileDelimiter()` It defines the delimiter by which the contents in the file are separated
`java.lang.String` | `getLocalFileName()` If defined, the name of a local file that will be used to pass the result of the transform This avoid passing the data through the space, which can be faster for large datasets
`java.lang.String` | `getMatchTag()`
`java.lang.String` | `getParserClassName()` The class of the parser that will be used to convert raw text into XML If not set then the input is assumed to be XML and is just copied to the output
`java.lang.String` | `getParserParameters()` The parameters passed the parser that will be used to convert raw text into XML These parameters are a string that can be interpreted by the parser.
`java.lang.String` | `getXSL()` The XSL transform that will create ModelObject XML from the XML output by the parser If not set then the XML coming from the parser stage is already assumed to be ModelObject XML
`java.lang.String` | `getXSLFileName()` A file that contains the XSL transform.
`boolean` | `hasFileDelimiter()`
`boolean` | `hasLocalFileName()`
`boolean` | `hasMatchTag()`
`boolean` | `hasParserClassName()`
`boolean` | `hasParserParameters()`
`boolean` | `hasXSL()`
`boolean` | `hasXSLFileName()`
`void` | `setFileDelimiter(java.lang.String delimiter)`
`void` | `setLocalFileName(java.lang.String filename)`
`void` | `setMatchTag(java.lang.String tag)`
`void` | `setParserClassName(java.lang.String className)`
`void` | `setParserParameters(java.lang.String params)`
`void` | `setXSL(java.lang.String xsl)`
`void` | `setXSLFileName(java.lang.String filename)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getMatchTag

    java.lang.String getMatchTag()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMatchTag

    void setMatchTag(java.lang.String tag)

### hasMatchTag

    boolean hasMatchTag()

### getParserClassName

    java.lang.String getParserClassName()
                                        throws AttributeNotSetException

  The class of the parser that will be used to convert raw text into XML If not set then the input is assumed to be XML and is just copied to the output

  Returns:
    Class name
  Throws:
    `AttributeNotSetException`

### setParserClassName

    void setParserClassName(java.lang.String className)

### hasParserClassName

    boolean hasParserClassName()

### getParserParameters

    java.lang.String getParserParameters()
                                         throws AttributeNotSetException

  The parameters passed the parser that will be used to convert raw text into XML These parameters are a string that can be interpreted by the parser. Most likely XML but the format really depends on the parser

  Returns:
    parser parameters
  Throws:
    `AttributeNotSetException` - Indicate to persistence that field is > 255

### setParserParameters

    void setParserParameters(java.lang.String params)

### hasParserParameters

    boolean hasParserParameters()

### getXSL

    java.lang.String getXSL()
                            throws AttributeNotSetException

  The XSL transform that will create ModelObject XML from the XML output by the parser If not set then the XML coming from the parser stage is already assumed to be ModelObject XML

  Returns:
    XSL transformation
  Throws:
    `AttributeNotSetException` - Indicate to persistence that field is > 255

### setXSL

    void setXSL(java.lang.String xsl)

### hasXSL

    boolean hasXSL()

### getXSLFileName

    java.lang.String getXSLFileName()
                                    throws AttributeNotSetException

  A file that contains the XSL transform. This is mutually exclusive with the XSL attribute

  Returns:
    Name of the file. A relative path is relative to COLLATION_HOME.
  Throws:
    `AttributeNotSetException`

### setXSLFileName

    void setXSLFileName(java.lang.String filename)

### hasXSLFileName

    boolean hasXSLFileName()

### getLocalFileName

    java.lang.String getLocalFileName()
                                      throws AttributeNotSetException

  If defined, the name of a local file that will be used to pass the result of the transform This avoid passing the data through the space, which can be faster for large datasets

  Throws:
    `AttributeNotSetException`

### setLocalFileName

    void setLocalFileName(java.lang.String filename)

### hasLocalFileName

    boolean hasLocalFileName()

### getFileDelimiter

    java.lang.String getFileDelimiter()
                                      throws AttributeNotSetException

  It defines the delimiter by which the contents in the file are separated

  Returns:
    delimiter by which the contents in the file is separated
  Throws:
    `AttributeNotSetException`

### setFileDelimiter

    void setFileDelimiter(java.lang.String delimiter)

### hasFileDelimiter

    boolean hasFileDelimiter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD